---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Update Subscription Payment Method

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/api/v1.3/subscription/{subscriptionId}/update-payment-method": {
      "put": {
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/payload_update_subscription_payment_method_requestData"
              },
              "examples": {
                "update subscription payment method": {
                  "value": {
                    "merchant_id": "API-Merchant",
                    "application_key": "test-application",
                    "card_token": "a52028efb6ccbedd65c066ce284c7dfb",
                    "version": 1.3,
                    "timestamp": 1680712861
                  }
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Subscription"
        ],
        "parameters": [
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_subscriptions"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-update-subscription-payment-method-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "updateSubscriptionPaymentMethod",
        "summary": "Update Subscription Payment Method"
      },
      "parameters": [
        {
          "name": "subscriptionId",
          "schema": {
            "$ref": "#/components/schemas/subscription_id"
          },
          "in": "path",
          "required": true
        }
      ]
    }
  },
  "components": {
    "schemas": {
      "property_common_base_properties": {
        "required": [
          "merchant_id",
          "application_key",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "application_key": {
            "$ref": "#/components/schemas/application_key"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "card_token": {
        "description": "HASH value of customer's card.\n\n*__Note:__* *This field must not be sent in any subsequent Merchant Initiated Transaction (MIT) requests.*",
        "maxLength": 32,
        "type": "string",
        "example": "af7d1b07c48fbeff116b2bb3e84fb4c9"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "subscription_status": {
        "description": "Status of subscription. List of possible statuses:\r\n- Active - customer subscription in active status.\r\n- Inactive - customer subscription inactive.\r\n- Expired - customer subscription expired.\r\n- Canceled - customer subscription removed.",
        "maxLength": 8,
        "type": "string",
        "enum": [
          "active",
          "inactive",
          "expired",
          "canceled"
        ]
      },
      "subscription_id": {
        "description": "Subscription ID",
        "maxLength": 32,
        "type": "string",
        "example": "tvoS9vGKdDwfGLLvp0r8JJ5d"
      },
      "payload_update_subscription_payment_method_requestData": {
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_base_properties"
          },
          {
            "required": [
              "card_token"
            ],
            "type": "object",
            "properties": {
              "card_token": {
                "$ref": "#/components/schemas/card_token"
              }
            }
          }
        ]
      },
      "object_response_200_ok_update_subscription_payment_method": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "required": [
              "subscription_id",
              "card_token",
              "subscription_status"
            ],
            "type": "object",
            "properties": {
              "subscription_id": {
                "$ref": "#/components/schemas/subscription_id"
              },
              "card_token": {
                "$ref": "#/components/schemas/card_token"
              },
              "subscription_status": {
                "$ref": "#/components/schemas/subscription_status"
              }
            }
          }
        ]
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "property_req_header_signature_params_for_subscriptions": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-update-subscription-payment-method-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_update_subscription_payment_method"
            },
            "examples": {
              "success response": {
                "value": {
                  "status": 0,
                  "description": "Payment method successfully updated",
                  "subscription_id": "tvoS9vGKdDwfGLLvp0r8JJ5d",
                  "card_token": "a52028efb6ccbedd65c066ce284c7dfb",
                  "subscription_status": "active",
                  "version": 1.3,
                  "timestamp": 1680712861
                }
              },
              "failure response": {
                "value": {
                  "status": -1,
                  "description": "Subscription with ID tvoS9vGKdDwfGLLvp0r8JJ5d for customer user-1234 not found",
                  "version": 1.3,
                  "timestamp": 1680712861
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```